Update

View as Markdown

Updates the “extra_data”, “price”, “components”, “offer”, and “cancel_reason” fields.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

subscription_idstringRequired
Unique subscription ID

Request

This endpoint expects an object.
extra_datastringOptionalformat: "json"

JSON object that should be JSON.parse() as key/value store for any extra information.

pricestringOptional

Price, must be in decimal form ex: 10.00

componentslist of anyOptional

Array of JSON objects to set product IDs that are the legacy bundle components. For example: “components”: [ {“product”:“123”}, {“product”:“456”}, {“product”:“789”} ],

offerstringOptional
Public ID of the new offer.
cancel_reasonstringOptional

Pipe-delimited cancel reason code and cancel reason details, e.g. “4|Overstocked”

Response

200
customerstringOptional
merchantstringOptional
productstringOptional
paymentstringOptional
shipping_addressstringOptional
offerstringOptional
subscription_typestringOptional
componentslist of objectsOptional
extra_dataobjectOptional
public_idstringOptional
product_attributeanyOptional
quantityintegerOptionalDefaults to 0
pricestring or nullOptional
frequency_daysintegerOptionalDefaults to 0
reminder_daysintegerOptionalDefaults to 0
everyintegerOptionalDefaults to 0
every_periodintegerOptionalDefaults to 0
start_datestringOptional
cancelledstring or nullOptional
cancel_reasonstring or nullOptional
cancel_reason_codeinteger or nullOptional
iterationanyOptional
sequenceanyOptional
session_idstringOptional
merchant_order_idstringOptional
customer_repinteger or nullOptional
clubanyOptional
createdstringOptional
updatedstringOptional
livebooleanOptionalDefaults to true

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error